%YAML 1.1
---
gfVersion: v1.0
class: app

name: canu-gf
description: Canu assembly for nanopore amplicon sequencing
repo_uri: https://gitlab.com/geneflow/apps/canu-gf.git
version: '1.9-01'
inputs:
  input:
    label: Sequence FASTQ File
    description: Sequence FASTQ file
    type: File
parameters:
  genomeSize:
    label: Genome Size
    description: Estimated genome size
    type: int
  minReadLength:
    label: Minimum Read Length
    description: Reads shorter than this are discarded
    type: int
  minOverlapLength:
    label: Minimum Overlap length
    description: Minimum overlap for contig-ing the reads
    type: int
  corMinCoverage:
    label: Correct Base Min Coverage
    description: Controls the quality of the corrected reads
    type: int
  readSamplingCoverage:
    label: Coverage Used for Assembly
    description: Data greater than this coverage number is ignored
    type: int
  correctedErrorRate:
    label: Corrected Error Rate
    description: Estimated Corrected Error Rate. 0.15 for nanopore R9
    type: float
  output:
    label: Output Directory
    description: Output directory
    type: Directory
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-canu-gf-1.9-01{{ revision }}
{% endif %}
  local:
    script: canu-gf.sh
...